Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.fop.render.bitmap
Enum TIFFRendererConfig.TIFFRendererOption

    java.lang.Object
      java.lang.Enum<TIFFRendererConfig.TIFFRendererOption>
          org.apache.fop.render.bitmap.TIFFRendererConfig.TIFFRendererOption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TIFFRendererConfig.TIFFRendererOption>, RendererConfigOption

Enclosing class:
  TIFFRendererConfig

    public static enum TIFFRendererConfig.TIFFRendererOption

extends java.lang.Enum<TIFFRendererConfig.TIFFRendererOption>
implements RendererConfigOption

Enum Constant Summary
`COMPRESSION`
`ENDIANNESS` option to determine whether to use little or big endian encoding
`SINGLE_STRIP` option to encode one row per strip or a all rows in a single strip

Method Summary
`java.lang.Object` | `getDefaultValue()`
`java.lang.String` | `getName()` The name of the option.
`static TIFFRendererConfig.TIFFRendererOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TIFFRendererConfig.TIFFRendererOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMPRESSION

    public static final TIFFRendererConfig.TIFFRendererOption COMPRESSION

### SINGLE_STRIP

    public static final TIFFRendererConfig.TIFFRendererOption SINGLE_STRIP

  option to encode one row per strip or a all rows in a single strip

### ENDIANNESS

    public static final TIFFRendererConfig.TIFFRendererOption ENDIANNESS

  option to determine whether to use little or big endian encoding

Method Detail

### values

    public static TIFFRendererConfig.TIFFRendererOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TIFFRendererConfig.TIFFRendererOption c : TIFFRendererConfig.TIFFRendererOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TIFFRendererConfig.TIFFRendererOption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getName

    public java.lang.String getName()

  Description copied from interface: `RendererConfigOption`
  The name of the option.

  Specified by:
    `getName` in interface `RendererConfigOption`

### getDefaultValue

    public java.lang.Object getDefaultValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.